Index: fittingview/src/sans/perspectives/fitting/fitproblem.py
===================================================================
--- fittingview/src/sans/perspectives/fitting/fitproblem.py	(revision 7db52f1912cba2e4449a15df666a973a73b05588)
+++ fittingview/src/sans/perspectives/fitting/fitproblem.py	(revision f32d144d174cb53c8dbffe9c43bb830e97f32b7b)
@@ -1,6 +1,11 @@
+"""
+Inferface containing information to store data, model, range of data, etc...
+and retreive this information. This is an inferface
+for a fitProblem i.e relationship between data and model.
+"""
 ################################################################################
 #This software was developed by the University of Tennessee as part of the
 #Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-#project funded by the US National Science Foundation. 
+#project funded by the US National Science Foundation.
 #
 #See the license text in license.txt
@@ -8,12 +13,11 @@
 #copyright 2009, University of Tennessee
 ################################################################################
-import copy 
+import copy
 from sans.models.qsmearing import smear_selection
-
 
 class FitProblemComponent(object):
     """
     Inferface containing information to store data, model, range of data, etc...
-    and retreive this information. This is an inferface 
+    and retreive this information. This is an inferface
     for a fitProblem i.e relationship between data and model.
     """
@@ -23,4 +27,5 @@
         flag is 0 ingore smear value.
         """
+        
     def get_smearer(self):
         """
@@ -29,23 +34,28 @@
     def save_model_name(self, name):
         """
-        """  
+        """
+        
     def get_name(self):
         """
         """
+        
     def set_model(self, model):
-        """ 
+        """
         associates each model with its new created name
         :param model: model selected
         :param name: name created for model
         """
+        
     def get_model(self):
         """
         :return: saved model
         """
+        
     def set_residuals(self, residuals):
-        """ 
+        """
         save a copy of residual
         :param data: data selected
         """
+        
     def get_residuals(self):
         """
@@ -54,28 +64,33 @@
         
     def set_theory_data(self, data):
-        """ 
+        """
         save a copy of the data select to fit
         :param data: data selected
         """
+        
     def get_theory_data(self):
         """
         :return: list of data dList
         """
+        
     def set_fit_data(self, data):
-        """ 
+        """
          Store of list of data and create  by create new fitproblem of each data
          id , if there was existing information about model, this information
          get copy to the new fitproblem
         :param data: list of data selected
-        """   
+        """
+        
     def get_fit_data(self):
         """
         """
+        
     def set_model_param(self, name, value=None):
-        """ 
+        """
         Store the name and value of a parameter of this fitproblem's model
         :param name: name of the given parameter
         :param value: value of that parameter
         """
+        
     def set_param2fit(self, list):
         """
@@ -83,56 +98,70 @@
         :param list: list of the param names
         """
+        
     def get_param2fit(self):
         """
         return the list param names to fit
         """
+        
     def get_model_param(self):
-        """ 
+        """
         return list of couple of parameter name and value
         """
+        
     def schedule_tofit(self, schedule=0):
         """
         set schedule to true to decide if this fit  must be performed
         """
+        
     def get_scheduled(self):
         """
         return true or false if a problem as being schedule for fitting
         """
+        
     def set_range(self, qmin=None, qmax=None):
         """
-        set fitting range 
-        """
+        set fitting range
+        """
+        
     def get_range(self):
         """
         :return: fitting range
         """
+        
     def set_weight(self, flag=None):
         """
-        set fitting range 
-        """
+        set fitting range
+        """
+        
     def get_weight(self):
         """
         get fitting weight
         """
+        
     def clear_model_param(self):
         """
         clear constraint info
         """
+        
     def set_fit_tab_caption(self, caption):
         """
         store the caption of the page associated with object
         """
+        
     def get_fit_tab_caption(self):
         """
         Return the caption of the page associated with object
         """
+        
     def set_graph_id(self, id):
         """
         Set graph id (from data_group_id at the time the graph produced) 
         """
-    def get_graph_id(self): 
+        
+    def get_graph_id(self):
         """
         Get graph_id
-        """  
+        """
+
     def set_result(self, result):
         """
@@ -141,6 +170,6 @@
     def get_result(self):
         """
-        get result 
-        """   
+        get result
+        """
 
    
@@ -154,5 +183,5 @@
         ## the current model
         self.model = None
-        ## if 1 this fit problem will be selected to fit , if 0 
+        ## if 1 this fit problem will be selected to fit , if 0
         ## it will not be selected for fit
         self.schedule = 0
@@ -169,5 +198,4 @@
         self.batch_inputs = {}
         self.batch_outputs = {}
-       
  
     def enable_smearing(self, flag=False, fid=None):
@@ -203,8 +231,7 @@
             return self[fid].get_smearer()
      
-    
     def save_model_name(self, name, fid=None):
         """
-        """  
+        """
         if fid is None:
             for value in self.itervalues():
@@ -227,5 +254,5 @@
     
     def set_model(self, model, fid=None):
-        """ 
+        """
         associates each model with its new created name
         :param model: model selected
@@ -260,5 +287,5 @@
     
     def set_residuals(self, residuals, fid):
-        """ 
+        """
         save a copy of residual
         :param data: data selected
@@ -275,5 +302,5 @@
         
     def set_theory_data(self, fid, data=None):
-        """ 
+        """
         save a copy of the data select to fit
         :param data: data selected
@@ -300,5 +327,5 @@
         
     def set_fit_data(self, data):
-        """ 
+        """
         save a copy of the data select to fit
         :param data: data selected
@@ -315,8 +342,7 @@
                 self[d.id].set_model(self.model)
                 self[d.id].set_range(self.qmin, self.qmax)
-                #self[d.id].set_smearer(self[d.id].get_smearer())
+                
     def get_fit_data(self, fid):
         """
-       
         return data for the given fitproblem id
         :param fid: is key representing a fitproblem. usually extract from data
@@ -327,5 +353,5 @@
    
     def set_model_param(self, name, value=None, fid=None):
-        """ 
+        """
         Store the name and value of a parameter of this fitproblem's model
         :param name: name of the given parameter
@@ -340,5 +366,5 @@
                 
     def get_model_param(self, fid):
-        """ 
+        """
         return list of couple of parameter name and value
         """
@@ -356,5 +382,5 @@
         """
         return the list param names to fit
-        """  
+        """
         return self.list_param2fit
           
@@ -375,5 +401,5 @@
     def set_range(self, qmin=None, qmax=None, fid=None):
         """
-        set fitting range 
+        set fitting range
         """
         self.qmin = qmin
@@ -393,5 +419,5 @@
             return self[fid].get_range()
         
-    def set_weight(self,  is2d, flag=None, fid=None):
+    def set_weight(self, is2d, flag=None, fid=None):
         """
         fit weight
@@ -443,6 +469,6 @@
     def get_result(self, fid):
         """
-        get result 
-        """   
+        get result
+        """
         if fid in self.iterkeys():
             return self[fid].get_result()
@@ -450,5 +476,5 @@
     def get_batch_result(self):
         """
-        get result 
+        get result
         """
         return self.batch_inputs, self.batch_outputs
@@ -460,13 +486,13 @@
         self.graph_id = id
         
-    def get_graph_id(self): 
+    def get_graph_id(self):
         """
         Get graph_id
-        """  
+        """
         return self.graph_id
     
     
 class FitProblem(FitProblemComponent):
-    """  
+    """
     FitProblem class allows to link a model with the new name created in _on_model,
     a name theory created with that model  and the data fitted with the model.
@@ -486,5 +512,5 @@
         ## the current model
         self.model = None
-        ## if 1 this fit problem will be selected to fit , if 0 
+        ## if 1 this fit problem will be selected to fit , if 0
         ## it will not be selected for fit
         self.schedule = 0
@@ -502,5 +528,4 @@
         self.result = None
         
-        
     def enable_smearing(self, flag=False):
         """
@@ -534,6 +559,6 @@
     def save_model_name(self, name):
         """
-        """  
-        self.name_per_page= name
+        """
+        self.name_per_page = name
         
     def get_name(self):
@@ -543,5 +568,5 @@
     
     def set_model(self, model):
-        """ 
+        """
         associates each model with its new created name
         :param model: model selected
@@ -560,5 +585,5 @@
    
     def set_residuals(self, residuals):
-        """ 
+        """
         save a copy of residual
         :param data: data selected
@@ -573,5 +598,5 @@
         
     def set_theory_data(self, data):
-        """ 
+        """
         save a copy of the data select to fit
         
@@ -588,5 +613,5 @@
 
     def set_fit_data(self, data):
-        """ 
+        """
         Store data associated with this class
         :param data: list of data selected
@@ -644,17 +669,17 @@
         """
         return the list param names to fit
-        """  
+        """
         return self.list_param2fit
     
-    def set_model_param(self,name,value=None):
-        """ 
+    def set_model_param(self, name, value=None):
+        """
         Store the name and value of a parameter of this fitproblem's model
         :param name: name of the given parameter
         :param value: value of that parameter
         """
-        self.list_param.append([name,value])
+        self.list_param.append([name, value])
         
     def get_model_param(self):
-        """ 
+        """
         return list of couple of parameter name and value
         """
@@ -707,12 +732,12 @@
     def set_graph_id(self, id):
         """
-        Set graph id (from data_group_id at the time the graph produced) 
+        Set graph id (from data_group_id at the time the graph produced)
         """
         self.graph_id = id
         
-    def get_graph_id(self): 
+    def get_graph_id(self):
         """
         Get graph_id
-        """  
+        """
         return self.graph_id
     
@@ -724,5 +749,5 @@
     def get_result(self):
         """
-        get result 
-        """   
+        get result
+        """
         return self.result
